tic
%folder containing all the text files
folder = '';
textfiles = dir(fullfile(folder, '*.txt'));
nDocs = length(textfiles);
data = cell(nDocs);
%output folder. SHOULD BE in TEXT '.txt' format containt WO and DS
fid_out = fopen('', 'w');
%%
for DSi = 1:nDocs
    fid = fopen(fullfile(folder, textfiles(DSi).name));
    data = fread(fid, '*char').';%Read line from file, removing newline characters
    %% Any sentance marker is going to be assigned the value 0, therefore,
    %it does not matter replace commas, semicolon etc. by same expression.
    %Getting rid of unnecessary parenthesis
    text = regexprep(data, '[,;:.]', ' . ');
    text = regexprep(text, '?', ' . ');
    %Any sentance marker is going to be assigned the value 0, therefore, it
    %does not matter replace commas, semicolon etc. by same expression.
    %Getting rid of unnecessary parenthesis
    text = regexprep(text, '[(/)]', '');
    %get rid of apostrophe
    text = strrep(text, '''', '');
    %creating cell array of words from the text
    text = textscan(text,'%s');
    str = text{:};
    %% Save all the text and DSi(document index) as text file in column
    for l = 1:length(str)
        ab_wordarray = str{l}; %ab = abstract
        fprintf(fid_out, '%s %d\r\n', ab_wordarray, DSi);
    end
    fclose(fid);
end
fclose(fid_out)
%Open the text file file that contained containt WO and DS (line 8)
fid_open = fopen('', 'r');
word_sentance_array = textscan(fid_open, '%s %d');
fclose(fid_open)

%only words for the text file, first column
word = word_sentance_array{1,1};
%only document index from text file, second column
DS = double(word_sentance_array{1,2})'; %Transpose to row

%create dictionary, cell array of unique words in exracted texts
[ii,jj,kk]=unique(word);
WO = ii;
%% Compare WO and word to replace words in word{} with WO(nth)

tokens = zeros(size(word));

for k = 1:length(WO)
        TF = strcmpi(WO{k},word);
        tokens(TF) = k;
end

%% Replacing sentance marker with the value 0, compare word and tokens mat
%files to deteminet the value of sentance marker
for k = 1:length(tokens)
        if tokens(k) == 72;
        tokens(k,1) = 0;
        end
end

WS = tokens';%transpose to row
%saving WO DS WS at '.mat' file which is used for Gibbsampler HMM LDA
save('', 'WO', 'DS', 'WS');
toc