%% Output folder
outdir = ''

%% Read the initial file in all at one
fid = fopen('','r');
data = fread(fid, '*char').';
fclose(fid);
%% Break it into pieces based upon empty lines
pieces = regexp(data, '\n\s*\n', 'split');
%% For each piece get PMID
pmids = regexp(pieces, '(?<=PMID-\s*)\d*', 'match', 'once');
%% Now look though and save each one
for k = 1:numel(pieces)
    %use the PMID of this peces to cnstruct a filename
    filename = fullfile(outdir, [pmids{k}, '.txt']);
    
    %now write the piece to the file
    fid = fopen (filename, 'w');
    fwrite(fid, pieces{k});
    fclose(fid);
end
